% decode_date. Translates crsp date codes like 19520630 to year, month,
% day, and datenum (matlab serial date) 
  function [yr,mo,day,date_number] = decode_date(crsp_date);
  yr = floor(crsp_date/10000);
  mo_day = crsp_date - 10000*yr;
  mo = floor(mo_day/100);
  day = mo_day - 100*mo;
  date_number = datenum(yr,mo,day);